domain-dialin-config/:id
curl --request GET \
--url https://api.daily.co/v1/domain-dialin-config/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/domain-dialin-config/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/domain-dialin-config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0cb313e1-211f-4be0-833d-8c7305b19902",
"type": "pinless_dialin",
"config": {
"phone_number": "+12555599999",
"name_prefix": "my-identifier-prefix",
"hmac": "9jyatvPWQfBymCGDOYPYKF/TRZXR+08Gj4bvPF78pH0=",
"room_creation_api": "https://mydomain.com/api/create-room",
"hold_music_url": "https://mydomain.com/hold-music.mp3",
"timeout_config": {
"message": "No Agents are available right now, please try again later"
},
"ivr_greeting": {
"message": "Please enter the dialin code for the meeting, it is in the meeting invite"
}
}
}{
"error": "invalid-request-error",
"info": "missing required field"
}Domain Dial-In Config
Get Domain Dialin Config Info
Get info about an existing pinless_dialin or pin_dialin config
GET
/
domain-dialin-config
/
{id}
domain-dialin-config/:id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200
A unique, opaque ID for this object. You can use this ID in API calls, and in paginated list operations.
Example:
"0cb313e1-211f-4be0-833d-8c7305b19902"
describes the type of configuration. It can be pinless_dialin or pin_dialin.
Available options:
pinless_dialin, pin_dialin Example:
"pinless_dialin"
the configuration object passed to the POST API that creates the dialin config.
Show child attributes
Show child attributes
⌘I